summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-11-21 00:00:59 +0000
committerZac Medico <zmedico@gentoo.org>2007-11-21 00:00:59 +0000
commitba88e8cb629edc434f09f64d462e40585a8a5c1e (patch)
tree6e32136fef9722a064471df9072fd78db5402414 /bin/ebuild.sh
parentf41104f3be7de9abdb061d96f09fc2d512286a8c (diff)
downloadportage-ba88e8cb629edc434f09f64d462e40585a8a5c1e.tar.gz
portage-ba88e8cb629edc434f09f64d462e40585a8a5c1e.tar.bz2
portage-ba88e8cb629edc434f09f64d462e40585a8a5c1e.zip
Fix quoting for `source ${EBUILD}`. (trunk r8503)
svn path=/main/branches/2.1.2/; revision=8562
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 767d3f307..321129be7 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1589,7 +1589,7 @@ unset EBUILD_DEATH_HOOKS
# unset before this process of interaction begins.
unset DEPEND RDEPEND PDEPEND IUSE
-source ${EBUILD} || die "error sourcing ebuild"
+source "${EBUILD}" || die "error sourcing ebuild"
if ! hasq depend $EBUILD_PHASE; then
RESTRICT="${PORTAGE_RESTRICT}"
unset PORTAGE_RESTRICT